跳转到主要内容
系统全局相关/许可证相关接口
GETLicense Operations起始版本 4.1.0同步需要认证

获取许可证信息

获取许可证信息

调试可用性

在线调试

使用当前认证信息和示例参数提交 Mock 请求。

查询参数

请求参数

查询参数

  • additionSessionString

    额外的信息,是一个json字符串

  • systemTagsList

    系统标签

  • userTagsList

    用户标签

响应状态

200 OK

该 API 成功时返回以下响应结构。

  • errorErrorCode必填

    错误码,若不为null,则表示操作失败, 操作成功时该字段为null。 详情参考error

    • codeString必填

      错误码号,错误的全局唯一标识,例如SYS.1000, HOST.1001

    • descriptionString必填

      错误的概要描述

    • detailsString必填

      错误的详细信息

    • elaborationString必填

      保留字段,默认为null

    • opaqueLinkedHashMap必填

      保留字段,默认为null

    • causeErrorCode必填

      根错误,引发当前错误的源错误,若无原错误,该字段为null

  • inventoryLicenseInventory必填

    详情参考inventory

    • licenseTypeString必填

      暂无描述。

    • licenseRequestString必填

      暂无描述。

    • expiredDateString必填

      已过期时间。

    • issuedDateString必填

      issued时间。

    • userString必填

      用户信息。

    • prodInfoString必填

      许可证产品名称

    • hostNumInteger必填

      暂无描述。

    • cpuNumInteger必填

      暂无描述。

    • availableHostNumInteger必填

      暂无描述。

    • availableCpuNumInteger必填

      暂无描述。

    • expiredboolean必填

      已过期。

请求地址

GET/zstack/v1/licenses

/zstack/v1/licenses

操作 ID

GetLicenseInfo

永久链接

请求示例

curl -X GET 'http://{host}/zstack/v1/licenses?additionSession=<additionSession>&systemTags=<systemTags>&userTags=<userTags>' -H 'Authorization: OAuth {sessionUuid}'

响应示例

200
{ "inventory": { "licenseType": "Free", "licenseRequest": "example request", "issuedDate": "2017-01-19 14:31:06", "user": "example", "hostNum": 10.0, "expired": true, "managementNodeUuid": "00898b3538e53e70bb7521e54ff80276" }, "additions": [] }

变更历史

此 API 暂无变更历史记录。

查看全部变更历史